Name:		mononoki-ttf-fonts
Version:	1.2
Release:	0%{?dist}
Summary:	A font for programming and code review

License:	OFL-1.1
URL:		https://github.com/madmalik/mononoki
Source0:	https://github.com/madmalik/mononoki/releases/download/1.2/mononoki.zip
Source1:	56-mononoki.conf

BuildArch:	noarch
BuildRequires:	unzip
#Requires:	

%description
Mononoki is a typeface created to enhance code formatting.  It works well on
both high and low resolution displays. Every character is clearly
distinguishable from similar looking characters.

%prep
unzip -q %{SOURCE0} -d %{_builddir}/mononoki-ttf-fonts-1.2 *.ttf

%install
%define fontsdir %{_datadir}/fonts/mononoki
install -m 755 -d %{buildroot}%{fontsdir}
install -m 644 -t %{buildroot}%{fontsdir} %{_builddir}/mononoki-ttf-fonts-1.2/*.ttf
install -m 755 -d %{buildroot}%{_datadir}/fontconfig/conf.avail
install -m 644 -t %{buildroot}%{_datadir}/fontconfig/conf.avail %{SOURCE1}

%clean
rm -rf %{_builddir}/mononoki-ttf-fonts-1.2

%files
%dir %attr(0755, root, root) "%{fontsdir}"
%attr(0644, root, root) "%{fontsdir}/mononoki-Bold.ttf"
%attr(0644, root, root) "%{fontsdir}/mononoki-BoldItalic.ttf"
%attr(0644, root, root) "%{fontsdir}/mononoki-Italic.ttf"
%attr(0644, root, root) "%{fontsdir}/mononoki-Regular.ttf"
%attr(0644, root, root) "%{_datadir}/fontconfig/conf.avail/56-mononoki.conf"

%changelog
* Thu Oct 11 2018 skidnik
- Initial build
